Bug 1418200 (CVE-2017-2615) - CVE-2017-2615 Qemu: display: cirrus: oob access while doing bitblt copy backward mode
Summary: CVE-2017-2615 Qemu: display: cirrus: oob access while doing bitblt copy backw...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-2615
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170124,repo...
Depends On: 1418206 1418230 1418231 1418232 1418233 1418234 1418236 1418237 1418238 1418239 1418240 1418241 1418242 1418243 1419367 1419368 1419416 1419417 1421564
Blocks: 1418051
TreeView+ depends on / blocked
 
Reported: 2017-02-01 09:28 UTC by Prasad J Pandit
Modified: 2019-06-08 21:45 UTC (History)
41 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Quick emulator (QEMU) built with the Cirrus CLGD 54xx VGA emulator support is vulnerable to an out-of-bounds access issue. It could occur while copying VGA data via bitblt copy in backward mode. A privileged user inside a guest could use this flaw to crash the QEMU process resulting in DoS or potentially execute arbitrary code on the host with privileges of QEMU process on the host.
Clone Of:
Environment:
Last Closed: 2018-07-25 10:13:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0309 normal SHIPPED_LIVE Important: qemu-kvm security and bug fix update 2017-02-23 22:35:59 UTC
Red Hat Product Errata RHSA-2017:0328 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:53 UTC
Red Hat Product Errata RHSA-2017:0329 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:47 UTC
Red Hat Product Errata RHSA-2017:0330 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:41 UTC
Red Hat Product Errata RHSA-2017:0331 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:35 UTC
Red Hat Product Errata RHSA-2017:0332 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:29 UTC
Red Hat Product Errata RHSA-2017:0333 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:23 UTC
Red Hat Product Errata RHSA-2017:0334 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 04:12:16 UTC
Red Hat Product Errata RHSA-2017:0344 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2017-02-28 19:21:54 UTC
Red Hat Product Errata RHSA-2017:0350 normal SHIPPED_LIVE Important: qemu-kvm-rhev security and bug fix update 2017-03-01 12:59:14 UTC
Red Hat Product Errata RHSA-2017:0396 normal SHIPPED_LIVE Important: qemu-kvm security and bug fix update 2017-03-02 22:07:28 UTC
Red Hat Product Errata RHSA-2017:0454 normal SHIPPED_LIVE Important: kvm security update 2017-03-07 16:02:09 UTC

Description Prasad J Pandit 2017-02-01 09:28:36 UTC
Quick emulator(Qemu) built with the Cirrus CLGD 54xx VGA Emulator support is
vulnerable to an out-of-bounds access issue. It could occur while copying
VGA data via bitblt copy in backward mode.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS OR potentially execute arbitrary code on the host with
privileges of Qemu process on the host.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-02/msg00015.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/01/6

Comment 1 Prasad J Pandit 2017-02-01 09:29:06 UTC
Acknowledgments:

Name: Wjjzhang (Tencent.com Inc.), Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-01 09:40:05 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1418206]

Comment 6 Prasad J Pandit 2017-02-01 11:08:25 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1418243]

Comment 16 errata-xmlrpc 2017-02-23 17:44:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0309 https://rhn.redhat.com/errata/RHSA-2017-0309.html

Comment 17 errata-xmlrpc 2017-02-27 23:13:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2017:0334 https://rhn.redhat.com/errata/RHSA-2017-0334.html

Comment 18 errata-xmlrpc 2017-02-27 23:15:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2017:0333 https://rhn.redhat.com/errata/RHSA-2017-0333.html

Comment 19 errata-xmlrpc 2017-02-27 23:16:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:0332 https://rhn.redhat.com/errata/RHSA-2017-0332.html

Comment 20 errata-xmlrpc 2017-02-27 23:17:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:0331 https://rhn.redhat.com/errata/RHSA-2017-0331.html

Comment 21 errata-xmlrpc 2017-02-27 23:19:10 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:0330 https://rhn.redhat.com/errata/RHSA-2017-0330.html

Comment 22 errata-xmlrpc 2017-02-27 23:20:36 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:0329 https://rhn.redhat.com/errata/RHSA-2017-0329.html

Comment 23 errata-xmlrpc 2017-02-27 23:21:54 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:0328 https://rhn.redhat.com/errata/RHSA-2017-0328.html

Comment 24 errata-xmlrpc 2017-02-28 14:22:48 UTC
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-6

Via RHSA-2017:0344 https://rhn.redhat.com/errata/RHSA-2017-0344.html

Comment 25 errata-xmlrpc 2017-03-01 08:00:22 UTC
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-7
  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:0350 https://rhn.redhat.com/errata/RHSA-2017-0350.html

Comment 26 errata-xmlrpc 2017-03-02 17:28:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0396 https://rhn.redhat.com/errata/RHSA-2017-0396.html

Comment 27 errata-xmlrpc 2017-03-07 11:02:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2017:0454 https://rhn.redhat.com/errata/RHSA-2017-0454.html


Note You need to log in before you can comment on or make changes to this bug.